Package ghidra.app.plugin.debug

# Class GenerateOldLanguagePlugin

java.lang.Object
ghidra.framework.plugintool.Plugin
ghidra.app.plugin.debug.GenerateOldLanguagePlugin

All Implemented Interfaces:
  `ApplicationLevelPlugin`, `PluginEventListener`, `ServiceListener`, `ExtensionPoint`

public class GenerateOldLanguagePlugin extends Plugin implements ApplicationLevelPlugin

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.Plugin

  `name, pluginDescription, tool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateOldLanguagePlugin(PluginTool plugintool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispose()`
  Tells a plugin that it is no longer needed.
  `protected void`
  `init()`
  Initialization method; override to add initialization for this plugin.

  ### Methods inherited from class ghidra.framework.plugintool.Plugin

  `accept, acceptData, canClose, canCloseDomainObject, cleanup, close, dataStateRestoreCompleted, dependsUpon, deregisterService, equals, eventSent, firePluginEvent, getData, getMissingRequiredServices, getName, getPluginDescription, getServicesRequired, getSupportedDataTypes, getTool, getTransientState, getUndoRedoState, hashCode, hasMissingRequiredService, hasUnsaveData, internalRegisterEventConsumed, isDisposed, prepareToSave, processEvent, readConfigState, readDataState, registerDynamicServiceProvided, registerServiceProvided, restoreTransientState, restoreUndoRedoState, saveData, serviceAdded, serviceRemoved, writeConfigState, writeDataState`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenerateOldLanguagePlugin

    public GenerateOldLanguagePlugin(PluginTool plugintool)

- ## Method Details

  - ### init

    protected void init()
    Description copied from class: `Plugin`
    Initialization method; override to add initialization for this plugin. This is where a plugin should acquire its services. When this method is called, all plugins have been instantiated in the tool.
    Overrides:
      `init` in class `Plugin`

  - ### dispose

    protected void dispose()
    Description copied from class: `Plugin`
    Tells a plugin that it is no longer needed. The plugin should release any resources that it has. All actions, components, services will automatically be cleaned up.
    Overrides:
      `dispose` in class `Plugin`